/* 
 *   Creation Date: <2002/11/29 01:08:52 samuel>
 *   Time-stamp: <2003/02/23 15:52:45 samuel>
 *   
 *	<sound_sh.h>
 *	
 *	
 *   
 *   Copyright (C) 2002, 2003 Samuel Rydh (samuel@ibrium.se)
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation
 *   
 */

#ifndef _H_SOUND_SH
#define _H_SOUND_SH

/* This number is used to prompt the user to upgrade the driver */
#define OSX_SOUND_DRIVER_VERSION	1
#define CLASSIC_SOUND_DRIVER_VERSION	1

/* This number is used to prevent old drivers from beeing loaded */
#define OSI_SOUND_API_VERSION		1


/* OSI_SOUND_CNTL selectors */
enum { 
	kSoundCheckAPI		= -1,
	kSoundStop		= 0,
	kSoundStart		= 1,
	kSoundGetFragsize	= 2,
	kSoundRouteIRQ		= 3,
	kSoundFlush		= 4,
	kSoundResume		= 5,
	kSoundQueryFormat	= 6,
	kSoundSetFormat		= 7,
	kSoundQueryPipeFull	= 8,
	kSoundPause		= 9,
	kSoundSetupRing		= 10,
	kSoundGetRingSample	= 11,
	kSoundOSXDriverVersion	= 12,
	kSoundClassicDriverVersion = 13
};

enum {
	kSoundFormat_U8_BE	= 1,
	kSoundFormat_S16_BE	= 2,
	kSoundFormat_S16_LE	= 4,
	kSoundFormat_Stereo	= 16,
	kSoundFormat_Len1Mask	= kSoundFormat_U8_BE
};

#endif   /* _H_SOUND_SH */
