/* 
 *   Creation Date: <2001/12/29 19:46:46 samuel>
 *   Time-stamp: <2002/01/12 23:01:10 samuel>
 *   
 *	<platform.h>
 *	
 *	Misc definitions needed on certain platforms
 *   
 *   Copyright (C) 2001, 2002 Samuel Rydh (samuel@ibrium.se)
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation
 *   
 */

#ifndef _H_PLATFORM
#define _H_PLATFORM

typedef unsigned long long 	ullong;
typedef long long 		llong;

#define TO_ULLONG( hi, lo ) 	(((ullong)(hi)<< 32 ) | (lo) )
#define TO_LLONG( hi, lo ) 	(((llong)(hi)<< 32 ) | (lo) )

#ifndef TEMP_FAILURE_RETRY
# define TEMP_FAILURE_RETRY(expression) \
  (__extension__                                                              \
    ({ long int __result;                                                     \
       do __result = (long int) (expression);                                 \
       while (__result == -1L && errno == EINTR);                             \
       __result; }))
#endif


#endif   /* _H_PLATFORM */
